Bug 87 - Restarting Zimbra causes reload old ZeXtras license
Summary: Restarting Zimbra causes reload old ZeXtras license
Status: VERIFIED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxCore (show other bugs)
Version: 1.8.8
Hardware: -- All
: Normal major
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-08-09 07:10 CEST by Toni Garcia
Modified: 2013-08-14 06:50 CEST (History)
1 user (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 8.0.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toni Garcia 2013-08-09 07:10:57 CEST
When I deployed new SSL certificates on our server, and restarted mailboxd to apply the new configuration, ZeXtras licence got the rights for a previous license.

I guess ZeXtras took the license that was installed on the previous Zimbra restart, so the last applied license (with no Zimbra restart after applying it) has been lost.

Applying the last license solved the problem, but I think it can be corrected to avoid ZeXtras downtimes.

I can try to reproduce right now (i'll do in 6 months), but you can if you get a signed (renewable) SSL certificate.
Comment 1 Toni Garcia 2013-08-09 07:12:05 CEST
Sorry, "I *can* try to reproduce right now (i'll do in 6 months), but you can if you get a signed (renewable) SSL certificate." shold be "I *can't* try to reproduce right now (i'll do in 6 months), but you can if you get a signed (renewable) SSL certificate."
Comment 2 Toni Garcia 2013-08-13 08:17:44 CEST
Again, restarting mailboxd with no configuration changes also caused the previous licence regression.
Comment 3 D0s0n 2013-08-13 15:42:48 CEST
This problem was fixed with an HOTFIX for version 1.8.8 (http://forums.zextras.com/news-announcements/649-zextras-suite-1-8-8-zimbra-released.html#post3160) and the patch is included in the latest zextras version 1.8.9.
Comment 4 Toni Garcia 2013-08-14 06:09:17 CEST
Resolution confirmed!

Thanks